Subject: bug#62895: closed (Re: bug#62895: Emacs 28.2 NS build segfaults on startup)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 24 Apr 2023 00:48:02 +0000

Your bug report

#62895: Emacs 28.2 NS build segfaults on startup

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62895: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62895
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62895: Emacs 28.2 NS build segfaults on startup
From: Po Lu <[email-masked]>
To: "F. Romage" <[email-masked]>
Cc: [email-masked]
Date: Mon, 24 Apr 2023 08:47:35 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

"F. Romage" <[email-masked]> writes:

>> On 04/19/2023 11:13 PM Po Lu <[email-masked]> wrote:
>> Then would you please show a backtrace from the crash, and also tell
>> which version of GNUstep you have installed?  It works for me.
>
> I was using GNUstep base 1.24 and gui 0.24. Upgrading to base 1.28 and
> gui 0.29 fixed the problem with Emacs 30.0.50 not starting. In fact
> it's more stable than Emacs 27.2 with the older GNUstep I had been
> using. I'm still trying to get themes working properly, but everything
> else seems to work fine. Thanks for providing a reason for upgrading
> GNUstep, which I had been putting off for several years. I think this
> bug report can be closed.

OK, closing.  Thanks.

Subject: Emacs 28.2 NS build segfaults on startup
From: "F. Romage" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 16 Apr 2023 17:54:08 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Building Emacs 28.2 with the --with-ns option succeeds under Fedora 37 using GNUstep, but running it results in an immediate segmentation fault. I have attached the console messages before the segfault, as well as the strace output.

With Emacs 27.2 the build runs and works for the most part, provided I use the cairo backend for GNUstep (defaults write NSGlobalDomain GSBackend libgnustep-cairo). With the default art backend or the xlib backend (libgnustep-art, libgnustep-xlib) the text in the editor is garbled and fairly unreadable. The cairo backend fixes all that, but it would be nice to use the default art backend, since many GNUstep apps work better with that.